Skip to content

StmtMailName⁠

Perform various operations for Symitar parameters.

Operations⁠

getStmtMailNameSelectFields⁠

POST

Execute the persistent ParameterService getStmtMailNameSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

StmtMailNameStatementMailCodeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getStmtMailNameSelectFields
POST /nexum/627/persistent/parameter/getStmtMailNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "StmtMailNameStatementMailCode": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllStmtMailNameFields": true,
    "StmtMailNameFields": {
      "StatementMailCode": true,
      "StatementMailCodeName": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getStmtMailNamePagedListSelectFields⁠

POST

Execute the persistent ParameterService getStmtMailNamePagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getStmtMailNamePagedListSelectFields
POST /nexum/627/persistent/parameter/getStmtMailNamePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllStmtMailNameFields": true,
    "StmtMailNameFields": {
      "StatementMailCode": true,
      "StatementMailCodeName": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchStmtMailNamePagedSelectFields⁠

POST

Execute the persistent ParameterService searchStmtMailNamePagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchStmtMailNamePagedSelectFields
POST /nexum/627/persistent/parameter/searchStmtMailNamePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllStmtMailNameFields": true,
    "StmtMailNameFields": {
      "StatementMailCode": true,
      "StatementMailCodeName": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateStmtMailNameByID⁠

POST

Execute the persistent ParameterService updateStmtMailNameByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

StmtMailNameStatementMailCodeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateStmtMailNameByID
POST /nexum/627/persistent/parameter/updateStmtMailNameByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "StmtMailNameStatementMailCode": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "StmtMailNameFields": {
    "StatementMailCode": 0,
    "StatementMailCodeName": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}